@echo off 
echo "Gigabeat S Recovery.bat 
echo "Courtesy of Zunepet's patched Gigabeat V Update Program"

rename nk.bin nk_updater.bin
rename nk_orig.bin nk.bin
rename pmcboot_secure.bin pmcboot_secure_updater.bin
copy nk.bin pmcboot_secure.bin
echo "Please plug your Gigabeat S into your USB port."
pause
update.exe
del pmcboot_secure.bin
rename pmcboot_secure_updater.bin pmcboot_secure.bin
rename nk.bin nk_orig.bin
rename nk_updater.bin nk.bin
echo "Done...."